# frozen_string_literal: true

require_relative 'lib/diversipub/version'

Gem::Specification.new do |spec|
  repo = 'https://git.causa-arcana.com/causa-arcana/diversipub'
  home = repo
  bugs = "#{repo}/issues"
  docs = "https://www.rubydoc.info/gems/diversipub/#{Diversipub::VERSION}"

  spec.name     = 'diversipub'
  spec.version  = Diversipub::VERSION
  spec.license  = 'MIT'
  spec.homepage = home
  spec.platform = Gem::Platform::RUBY

  spec.required_ruby_version = '~> 3.0'

  spec.authors = ['Alex Kotov']
  spec.email   = ['kotovalexarian@gmail.com']

  spec.summary =
    'A publishing platform for HTTP, Gemini, ActivityPub, RSS, Atom, and others'

  spec.description = <<~DESCRIPTION.split("\n").map(&:strip).join ' '
    A publishing platform for HTTP, Gemini, ActivityPub, RSS, Atom, and others.
  DESCRIPTION

  spec.metadata['rubygems_mfa_required'] = 'true'
  spec.metadata['homepage_uri']          = home
  spec.metadata['source_code_uri']       = home
  spec.metadata['bug_tracker_uri']       = bugs
  spec.metadata['documentation_uri']     = docs

  spec.bindir        = 'exe'
  spec.require_paths = ['lib']

  spec.files = Dir.chdir File.expand_path __dir__ do
    `git ls-files -z`.split("\x0").reject do |f|
      f.match %r{\A(?:test|spec|features)/}
    end
  end

  spec.executables = spec.files.grep(%r{\Aexe/}) { |f| File.basename f }

  spec.add_runtime_dependency 'puma',    '~> 6.2', '>= 6.2.2'
  spec.add_runtime_dependency 'rack',    '~> 2.2', '>= 2.2.7'
  spec.add_runtime_dependency 'sinatra', '~> 3.0', '>= 3.0.6'

  spec.add_development_dependency 'bundler',             '~> 2.4'
  spec.add_development_dependency 'pry',                 '~> 0.14'
  spec.add_development_dependency 'rake',                '~> 13.0'
  spec.add_development_dependency 'rubocop-performance', '~> 1.13'
  spec.add_development_dependency 'rubocop-rake',        '~> 0.6'
  spec.add_development_dependency 'yard',                '~> 0.9'
end
