# frozen_string_literal: true

module Diversipub
  ##
  # Rack web application.
  #
  class RackApp
    def initialize(sinatra_app)
      @sinatra_app = sinatra_app
    end

    def call(env)
      to_app.call env
    end

    def to_app
      @to_app ||= builder.to_app
    end

  private

    def builder
      @builder ||= Rack::Builder.new.tap do |builder|
        builder.run @sinatra_app
      end
    end
  end
end
